Bug 825368 - Application template must expose HTTP url to git source so user can browse it before creating
Application template must expose HTTP url to git source so user can browse it...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 15:57 EDT by Clayton Coleman
Modified: 2015-05-14 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Template source link (20.13 KB, image/png)
2012-06-01 04:15 EDT, Xiaoli Tian
no flags Details

  None (edit)
Description Clayton Coleman 2012-05-25 15:57:25 EDT
On step 2 of the application creation flow, for each application template, the gray box at the top should display a link to the git project page for the application template so that users can review the source prior to creation.  Can be an external, open in new window, url.

Recommend git_project_url as the metadata field and it should be set for all templates.
Comment 1 Fotios Lindiakos 2012-05-30 14:42:05 EDT
This has been fixed and is now part of the metadata. It is displayed to users with other template specific information when they choose a cartridge type that is a template.

Still need to get templates working in environments by default to undergo testing.
Comment 2 Xiaoli Tian 2012-06-01 04:15:43 EDT
Created attachment 588352 [details]
Template source link

Verified it on int.openshift.redhat.com,  template source link is added

Note You need to log in before you can comment on or make changes to this bug.